### Struct

# GioUnix MountPoint

#### Description [src]

    struct GUnixMountPoint {
      /* No available fields */
    }

Defines a Unix mount point (e.g. `/dev`). This corresponds roughly to a fstab entry.

#### Functions

###### g_unix_mount_point_at

Gets a `GUnixMountPoint` for a given mount path.

since: 2.66

#### Instance methods

###### g_unix_mount_point_compare

Compares two Unix mount points.

###### g_unix_mount_point_copy

Makes a copy of `mount_point`.

since: 2.54

###### g_unix_mount_point_free

Frees a Unix mount point.

###### g_unix_mount_point_get_device_path

Gets the device path for a Unix mount point.

###### g_unix_mount_point_get_fs_type

Gets the file system type for the mount point.

###### g_unix_mount_point_get_mount_path

Gets the mount path for a Unix mount point.

###### g_unix_mount_point_get_options

Gets the options for the mount point.

since: 2.32

###### g_unix_mount_point_guess_can_eject

Guesses whether a Unix mount point can be ejected.

###### g_unix_mount_point_guess_icon

Guesses the icon of a Unix mount point.

###### g_unix_mount_point_guess_name

Guesses the name of a Unix mount point.

###### g_unix_mount_point_guess_symbolic_icon

Guesses the symbolic icon of a Unix mount point.

since: 2.34

###### g_unix_mount_point_is_loopback

Checks if a Unix mount point is a loopback device.

###### g_unix_mount_point_is_readonly

Checks if a Unix mount point is read only.

###### g_unix_mount_point_is_user_mountable

Checks if a Unix mount point is mountable by the user.